.main_page_sidebar {
    position: fixed !important;
    top:0 !important;
    height: calc(100vh) !important;
    right: 0 !important;
    z-index: 200 !important;
    width: 50% !important;
    max-width: 500px !important;
    scrollbar-width: none;
    -ms-overflow-style: none;
    display:none !important;
}
.main_page_sidebar.main_page_sidebar__open {
    display:block !important;
}
body:has(.main_page_sidebar.main_page_sidebar__open) {
    overflow:hidden;
}
.main_page_sidebar::-webkit-scrollbar {
    display: none;
}
.main_page_sidebar > * {
    background: #fff;
}
.main_page_sidebar .backdrop {
    position: fixed;
    z-index: -2;
    width: 100%;
    height: 100%;
    left: 0;
    backdrop-filter: blur(5px);
    background: rgba(84, 84, 85, 0.50);
}
.main_page_sidebar::after {
    content: '';
    display: block;
    width: 100%;
    height: 100%;
    position: absolute;
    z-index: -1;
    left: 0;
    top: 0;
    background: #fff;
}
.product_spec {
    padding-bottom: 30px;
}
.product_spec .item {
    display: flex;
    align-items: flex-start;
    padding: 8px 10px;
    gap: 0 20px;
    border-bottom: 1px solid #DDD;
}
.product_spec .item:nth-child(odd) {
    background: #FAFAFA;
}
.product_spec .item .name {
    color: #000;
    font-size: 16px;
    font-style: normal;
    font-weight: 700;
    line-height: 19px;
    text-transform: capitalize;
    flex:  0 0 135px;
}
.product_spec .item .text {
    color: #000;
    font-size: 16px;
    font-style: normal;
    font-weight: 500;
    line-height: 19px;
    text-transform: capitalize;
    width: 100%;
}
.main_page_sidebar .padded {padding-left:20px;padding-right:20px;}
.main_page_sidebar .notes {font-size:20px;line-height:22px;color:#000;}
.main_page_sidebar .sidebar_top {
    position:sticky;
    top:0;
    z-index:2;
    padding:40px 20px 30px 20px;
    background:#fff;
    font-size: 35px;
    font-style: normal;
    font-weight: 600;
    line-height: 1;
    width:100%;
}
.main_page_sidebar .sidebar_top .actions {
    position: absolute;
    right: 70px;
    top: 40px;
    font-size: 21px;
    line-height:35px;
    font-weight: 500;
}
.main_page_sidebar .sidebar_top .close{
    width: 25px;
    height: 25px;
    position:absolute;
    background-image: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="25" height="25" viewBox="0 0 25 25" fill="none"><path d="M2.5 24.2188L0 21.7969L10 12.1094L0 2.42188L2.5 0L12.5 9.6875L22.5 0L25 2.42188L15 12.1094L25 21.7969L22.5 24.2188L12.5 14.5313L2.5 24.2188Z" fill="%23545455"/></svg>');
    right: 20px;
    top: 47px;
    cursor: pointer;
}
@media (min-width: 992px) {
    .main_page_sidebar .sidebar_top .close:hover{
        background-image: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="25" height="25" viewBox="0 0 25 25" fill="none"><path d="M2.5 24.2188L0 21.7969L10 12.1094L0 2.42188L2.5 0L12.5 9.6875L22.5 0L25 2.42188L15 12.1094L25 21.7969L22.5 24.2188L12.5 14.5313L2.5 24.2188Z" fill="%230B0B0C"/></svg>');
    }
}
.main_page_sidebar .sidebar_top .actions a {
    color: #545455;
    text-decoration:underline;
}
.main_page_sidebar .sidebar_top .actions a:hover {
    color:#0B0B0C;
}
.main_page_sidebar .sidebar_bottom {
    position:fixed;
    bottom:0;
    z-index:2;
    padding:20px 20px 30px 20px;
    background:#fff;
    width:50%;
    max-width: 500px;
}
.main_page_sidebar .sidebar_bottom .total {
    color: #545455;
    font-size: 20px;
    font-style: normal;
    font-weight: 500;
    line-height: 22px;
    margin-bottom: 15px;
}
.main_page_sidebar .sidebar_bottom .btn {
    margin: 0;
    width: 100%;
}
.main_page_sidebar .sidebar_bottom .btn--dark:hover {
    background: #3C3C3D;
}

.main_page_sidebar .sidebar_bottom .btn + .btn {
  margin-top: 20px;
}

.bikes-catalog__sidebar .filters_list{
    padding: 20px;
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    gap: 10px 20px;
}
.bikes-catalog__sidebar .filters_list .chip{
    display: flex;
    gap: 10px;
    align-items: center;
}

.bikes-catalog__sidebar .filters_list .del{
    cursor: pointer;
    position: relative;
    top: 2px;
    font-size: 0;
    width: 12px;
    height: 12px;
    background-position: center;
    background-repeat: no-repeat;
    background-image: url("data:image/svg+xml,%3Csvg width='12' height='12' viewBox='0 0 12 12' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M1.2 12L0 10.8L4.8 6L0 1.2L1.2 0L6 4.8L10.8 0L12 1.2L7.2 6L12 10.8L10.8 12L6 7.2L1.2 12Z' fill='%23545455'/%3E%3C/svg%3E%0A");
}
.bikes-catalog__sidebar .filters_list .txt{
    color: #545455;
    font-size: 21px;
    font-style: normal;
    font-weight: 500;
}

@media only screen and (max-width: 991px) {
    .main_page_sidebar {
        position: fixed !important;
         height: auto !important;
        right: 0 !important;
        z-index: 2000 !important;
        scrollbar-width: none;
        -ms-overflow-style: none;
        display: none !important;
        width: 100% !important;
        max-width: 100% !important;
        bottom: 0;
        top: initial !important;
        border-top-left-radius: 30px;
        border-top-right-radius: 30px;
        max-height: calc(100vh - 70px);
        overflow: auto;
        padding-bottom: 0!important;
    }
    .main_page_sidebar .sidebar_top .actions {
        right: 70px;
        top: 28px;
        font-size: 21px;
        line-height: 35px;
        font-weight: 500;
    }
    .main_page_sidebar .sidebar_bottom {
        position: sticky;
        bottom: 0;
        z-index: 2;
        padding: 15px 20px 25px 20px;
        background: #fff;
        width: 100%;
        max-width: 100%;
    }
    .main_page_sidebar .sidebar_top .close {
        right: 20px;
        top: 35px;
    }
    .main_page_sidebar .product_content.padded:last-of-type {
        padding-bottom: 35px;
    }
    .main_page_sidebar .product_content.padded {
        padding: 0 20px;
        margin-bottom: 30px;
    }
    .main_page_sidebar .backdrop {
        top: 0;
    }
    .main_page_sidebar .product_content {
        margin-top: 10px !important;
        gap: 25px !important;
    }
    .main_page_sidebar .sidebar_top {
        position: sticky;
        top: 0;
        z-index: 2;
        padding: 30px 20px 25px 20px;
        background: #fff;
        font-size: 30px;
        font-style: normal;
        font-weight: 600;
        line-height: 1;
        width: 100%;
		border-top-left-radius: 30px;
        border-top-right-radius: 30px;
    }
	.main_page_sidebar::after {
		border-top-left-radius: 30px;
        border-top-right-radius: 30px;
	}
    .main_page_sidebar .notes {
        padding-bottom: 40px;
    }
    .main_page_sidebar  #filter_form {
        padding: 0 20px!important;
    }
}